Bug 231101 - graphics/py-open3d-python: Fix build failure on 12: -flto option breaks the build: Cannot open "/usr/bin/../lib/LLVMgold.so"
Summary: graphics/py-open3d-python: Fix build failure on 12: -flto option breaks the b...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-02 17:56 UTC by Yuri Victorovich
Modified: 2019-10-07 09:43 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-09-02 17:56:01 UTC
Testcase: port graphics/py-open3d-python with removed patch files/Python_CMakeLists.txt

cmake introduces the -flto option only on 12 for some reason. This causes the build to fail:
/usr/local/bin/ld: /usr/bin/../lib/LLVMgold.so: error loading plugin: Cannot open "/usr/bin/../lib/LLVMgold.so"
  c++: error: linker command failed with exit code 1 (use -v to see invocation)
Comment 1 Conrad Meyer freebsd_committer 2018-09-04 15:04:51 UTC
cmake isn't part of base.  Should this be retargeted at the port?
Comment 2 Adriaan de Groot freebsd_committer 2019-07-30 08:19:26 UTC
With a 12-stable (I think) jail on a 12-stable host, configure output contains

-- LTO disabled (not supported by the compiler and/or linker)

The build fails for other reasons though -- but that looks like a py-open3d problem more than a cmake problem.
Comment 3 Adriaan de Groot freebsd_committer 2019-10-07 09:01:38 UTC
This was fixed in r478808 with a patch to graphics/py-open3d-python, because **that** port was adding -flto specifically in its CMake files. It was not a problem with devel/cmake itself.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-10-07 09:43:42 UTC
^Triage: Re-classify, Assign to committer that resolved